<template>
  <v-btn :prepend-icon="icon" :variant="variant===undefined?'text':variant" class="mx-2">
    <template v-slot:prepend>
      <v-icon :color="color"></v-icon>
    </template>
    <template v-slot>{{text}}<slot/></template>
  </v-btn>
</template>

<script setup>
import {useStore} from "@/store/store";
import {useAttrs} from "vue";

const s = useStore()
const props = defineProps({
  icon: {default:null},
  color: {default:null},
  text: {default:null},
  variant: {default:'text'},
})
const attrs = useAttrs()

</script>

<style scoped lang="scss">
@use "src/styles/vars" as *;
</style>
